{
  "name": "workerman/webman",
  "type": "project",
  "keywords": [
    "high performance",
    "http service"
  ],
  "homepage": "https://www.workerman.net",
  "license": "MIT",
  "description": "High performance HTTP Service Framework.",
  "authors": [
    {
      "name": "walkor",
      "email": "walkor@workerman.net",
      "homepage": "https://www.workerman.net",
      "role": "Developer"
    }
  ],
  "support": {
    "email": "walkor@workerman.net",
    "issues": "https://github.com/walkor/webman/issues",
    "forum": "https://wenda.workerman.net/",
    "wiki": "https://workerman.net/doc/webman",
    "source": "https://github.com/walkor/webman"
  },
  "require": {
    "php": ">=8.1",
    "workerman/webman-framework": "^2.1",
    "monolog/monolog": "^2.0",
    "topthink/think-template": "^3.0",
    "webman/think-orm": "^2.1",
    "webman/think-cache": "^2.1",
    "webman/redis": "^2.1",
    "illuminate/events": "^12.38",
    "webman/redis-queue": "^2.1",
    "webman/rate-limiter": "^1.1",
    "symfony/translation": "^7.3",
    "intervention/image": "^3.11",
    "webman/event": "^1.0",
    "vlucas/phpdotenv": "^5.6",
    "workerman/crontab": "^1.0",
    "phpoffice/phpspreadsheet": "^5.2",
    "webman/console": "^2.1",
    "yzh52521/easyhttp": "^1.1",
    "xiaosongshu/elasticsearch": "^2.0",
    "kkokk/poster": "^3.0",
    "linfly/annotation": "1.x",
    "hhink/webman-sms": "^1.0",
    "tinywan/captcha": "^0.0.4",
    "shopwwi/webman-auth": "^2.0",
    "tinywan/storage": "^1.1",
    "aliyuncs/oss-sdk-php": "^2.7",
    "qcloud/cos-sdk-v5": "^2.6",
    "topthink/think-validate": "^3.0",
    "hzdad/codecheck": "^1.0",
    "php-di/php-di": "7.0",
    "zoujingli/wechat-developer": "^1.2",
    "webman/push": "^1.1",
    "huaweicloud/huaweicloud-sdk-php": "3.1.191"
  },
  "suggest": {
    "ext-event": "For better performance. "
  },
  "autoload": {
    "psr-4": {
      "": "./",
      "app\\": "./app",
      "App\\": "./app",
      "app\\View\\Components\\": "./app/view/components"
    }
  },
  "scripts": {
    "post-package-install": [
      "support\\Plugin::install"
    ],
    "post-package-update": [
      "support\\Plugin::install"
    ],
    "pre-package-uninstall": [
      "support\\Plugin::uninstall"
    ]
  },
  "minimum-stability": "dev",
  "prefer-stable": true
}
